/************************************************************************
   Functions for reading from Midi file.

   Copyright (C) 1995 by R.Harmsen
 ***********************************************************************/

#include "midiutil.h"

enum eRmdError
{
   RmdOK                 = 0,
   RmdReadError          = 1,
   RmdNoMidiHeader       = 2,
   RmdInvalidTrackHeader = 3,
   RmdBufferTooSmall     = 4,
};
typedef enum eRmdError RmdError;

enum eRmdEvent
{
   RmdHeader,
   RmdTrackHeader,
};
typedef enum eRmdEvent RmdEvent;

/************************************************************************

 ***********************************************************************/
typedef RmdError rmd_callbackfunc
    (RmdEvent event, char *buffer, int buflen);


/************************************************************************

 ***********************************************************************/
#include <stdio.h>
int readmidi (FILE *midifp, rmd_callbackfunc callback);

